package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.SysMessage;
import com.ym.mec.common.dal.BaseDAO;

public interface SysMessageDao extends BaseDAO<Long, SysMessage> {

	/**
	 * 根据状态查询最近N分钟的记录
	 * @param status 状态值
	 * @param recentMin 最近分钟数
	 * @return
	 */
	public List<SysMessage> queryByStatusAndTime(@Param("status") int status, @Param("recentMin") int recentMin);

	/**
	 * 批量插入
	 * @param messages
	 * @return
	 */
	public int batchInsert(List<SysMessage> messages);

	/**
	 * 查询消息未读条数
	 * @param userId
	 * @return
	 */
	public int queryCountOfUnread(Integer userId);

	/**
	 * 修改用户所有消息阅读状态
	 */
	public int updateStatus(@Param("userId") Integer userId, @Param("status") int status);

	/**
	 * 修改单个消息状态
	 */
	public int updateOneStatus(@Param("id") Long id, @Param("status") int status);
}